<?xml version="1.0" encoding="utf-8"?>
<ScrollView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.AddBookActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="20dp">

        <TextView
            android:id="@+id/tvInputEdit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Input Book Data"
            android:textSize="30sp"
            android:layout_marginBottom="24dp"/>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="12dp"
            android:hint="Title">

            <EditText
                android:id="@+id/etTitle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:lines="2"
                android:autofillHints="name" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:hint="Author">

            <EditText
                android:id="@+id/etAuthor"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:lines="1"
                android:autofillHints="name"/>
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:hint="Cover Link">

            <EditText
                android:id="@+id/etCoverPath"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:lines="3" />
        </com.google.android.material.textfield.TextInputLayout>

        <RadioGroup
            android:id="@+id/rgAvailability"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="0dp">

            <RadioButton
                android:id="@+id/rbYes"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textSize="16sp"
                android:checked="true"
                android:text="This book is available to borrow"/>

            <RadioButton
                android:id="@+id/rbNo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textSize="16sp"
                android:text="This book is not available to borrow"/>

        </RadioGroup>

        <LinearLayout
            android:id="@+id/llNumberOfBooks"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="30dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Number of book(s): "
                android:textSize="16sp"
                android:layout_marginEnd="20dp"/>

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="Must be > 0">

                <EditText
                    android:id="@+id/etNumberOfBooks"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="number"
                    android:lines="1"/>
            </com.google.android.material.textfield.TextInputLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp">

            <Button
                android:id="@+id/bCRUD"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Add Book"
                android:layout_weight="1"
                android:textSize="18sp"
                android:layout_marginEnd="16dp"/>

            <Button
                android:id="@+id/bCancel"
                style="@style/Widget.Material3.Button.TonalButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Cancel"
                android:layout_weight="1"
                android:textSize="18sp"/>

        </LinearLayout>

        <Button
            android:id="@+id/bReset"
            style="@style/Widget.Material3.Button.TextButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="Reset Data"
            android:textSize="16sp"/>

    </LinearLayout>

</ScrollView>